.sliding-popup-bottom {
  box-shadow: 0px -2px 5px 1px rgba(0, 0, 0, 0.14) !important;
}

.eu-cookie-compliance-banner {
  background-color: var(--color-background);
  width: 100vw;
  color: var(--color-on-background);
  padding: 3rem 0;
}

.eu-cookie-compliance-banner a:any-link {
  color: var(--color-on-background);
  text-decoration: underline;
}

.eu-cookie-compliance-message {
  max-width: 80%;
}

.eu-cookie-compliance-message p {
  font-weight: 500;
  font-size: 1rem;
  color: var(--color-on-background);
}

.eu-cookie-compliance-content {
  display: flex;
  align-items: start;
  flex-direction: column;
  padding: 0 15px;
}

.eu-cookie-compliance-banner h2 {
  color: var(--color-on-background);
  font-size: 1.6em;
  text-align: left;
  margin-top: 0;
}

.eu-cookie-compliance-banner h2::after {
  margin-inline: 0;
}

.eu-cookie-compliance-categories {
  display: flex;
  flex-direction: column;
  gap: 0.25em;
  margin-block-end: 1rem;
}

.eu-cookie-compliance-category-input {
  display: grid;
  grid-template-columns: 1em auto;
  gap: 0.5em;
}

.eu-cookie-compliance-category-input input[type="checkbox"] {
  appearance: none;
  background-color: transparent;
  margin: 0;
  font: inherit;
  color: currentColor;
  width: 1em;
  height: 1em;
  border: 0.1em solid currentColor;
  transform: translateY(0.05em);
  display: grid;
  place-content: center;
}

.eu-cookie-compliance-category-input input[type="checkbox"]::before {
  content: "";
  width: 0.55em;
  height: 0.55em;
  transform: scale(0);
  transition: 120ms transform ease-in-out;
  box-shadow: inset 1em 1em var(--color-primary);
  background-color: CanvasText;

  transform-origin: bottom left;
  clip-path: polygon(14% 44%, 0 65%, 50% 100%, 100% 16%, 80% 0%, 43% 62%);
}

.eu-cookie-compliance-category-input input[type="checkbox"]:checked::before {
  transform: scale(1);
}

.eu-cookie-compliance-category-input input[type="checkbox"]:disabled {
  color: darkgray;
}

.eu-cookie-compliance-category-input input[type="checkbox"]:disabled::before {
  box-shadow: inset 1em 1em darkgray;
}

.eu-cookie-compliance-category-input input[type="checkbox"]:focus {
  outline: max(2px, 0.15em) solid currentColor;
  outline-offset: max(2px, 0.15em);
}

.eu-cookie-compliance-category-input label {
  text-box-trim: trim-both;
}

.eu-cookie-compliance-category-input input[type=checkbox]:disabled+label {
  color: color-mix(in oklab, darkgray 55%, black 45%);
}

.eu-cookie-compliance-buttons {
  float: left;
  max-width: inherit;
  display: flex;
  gap: 6px;
}

.eu-cookie-compliance-buttons button {
  padding: 0.5rem 0.75rem;
  border: 2px solid color-mix(in oklab, var(--color-primary) 97%, black 3%);
  background-color: transparent;
  color: color-mix(in oklab, var(--color-primary) 97%, black 3%);
  min-width: 6rem;
  flex-wrap: balance;
}

button.eu-cookie-compliance-save-preferences {
  background-color: color-mix(in oklab, var(--color-primary) 97%, black 3%);
  color: var(--color-on-primary);
}
